/* =========================
   FONTS
========================= */

@font-face {
    font-family: "DxWide";
    src: url("font/DxWideground-Regular.otf");
}

@font-face {
    font-family: "Cerita";
    src: url("font/Cerita Cinta.ttf");
}

@font-face {
    font-family: "Josefin";
    src: url("font/JosefinSans-Regular.ttf");
}

@font-face {
    font-family: "JosefinRegular";
    src: url("font/JosefinSans-Regular.ttf");
}

/* =========================
   RESET
========================= */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* =========================
   BODY
========================= */

body { 
    font-family: JosefinRegular;
    background-color: #2a8a94;
    margin: auto;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 100vh;
    padding-top: 80px;
    background-position: top;
}

/* =========================
   CONTAINER
========================= */

.container {
    width: 100%;
    max-width: 1200px;
    margin: auto;
    padding: 60px 20px;
}

/* =========================
   HEADER
========================= */

.hero {
    text-align: center;
    margin-bottom: 80px;
}

.hero h1 {
    font-family: "Cerita";
    font-size: 7rem;
    transform: rotate(-6deg);
    margin-bottom: -20px;
    color: white;
    font-weight: normal;
    margin-right: 345px;
}

.hero h2 {
    font-family: "DxWide";
    text-transform: uppercase;
    font-size: 5rem;
    line-height: 1;
    margin-bottom: 30px;
    color: white;
    font-weight: normal;
}

.hero p {
    font-size: 2rem;
    font-weight: 400;
    color: white;
}

/* =========================
   MENU
========================= */

.menu-grid {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: center;
}

/* =========================
   CARDS
========================= */

.menu-card {
    width: 100%;
    max-width: 700px;
    border-radius: 120px;
    overflow: hidden;
    transition: 0.3s ease;
    background-color : #c1e3e6
}

.menu-card:hover {
    transform: scale(1.03);
}

.menu-card a {
    height: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 25px;

    text-decoration: none;
    color: #2a8a94;

    font-size: 3rem;
    font-weight: 600;
}

/* =========================
   COULEURS
========================= */

.drinks {
    background-color: #F6BCCC;
}

.food {
    background-color: #B42053;
    border: 3px solid #F6BCCC;
}

/* =========================
   ICONES
========================= */

.menu-card img {
    width: 70px;
    height: 70px;
    object-fit: contain;
}

/* =========================
   RESPONSIVE
========================= */

@media (max-width: 768px) {

    .hero h1 {
        font-size: 4rem;
        margin-right: 0;
    }

    .hero h2 {
        font-size: 2.8rem;
    }

    .hero p {
        font-size: 1.3rem;
    }

    .menu-card {
        border-radius: 70px;
    }

    .menu-card a {
        height: 130px;
        font-size: 1.8rem;
        gap: 15px;
    }

    .menu-card img {
        width: 45px;
        height: 45px;
    }
}